Update Preference
curl --request PUT \
--url https://app.plugchoice.com/api/v3/user/preferences/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team": "<string>",
"value": true
}
'import requests
url = "https://app.plugchoice.com/api/v3/user/preferences/{key}"
payload = {
"team": "<string>",
"value": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team: '<string>', value: true})
};
fetch('https://app.plugchoice.com/api/v3/user/preferences/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"value": true
}Users
Update Preference
PUT
/
v3
/
user
/
preferences
/
{key}
Update Preference
Creates or updates a per-user, per-team preference value. The preference is keyed by the authenticated user, the team, and the preference key from the path. An unknown preference key returns a
404 response.
The preference key to update. Currently the only supported key is
dashboard.skip_getting_started.The UUID of the team the preference applies to. You must be a member of this team.
The preference value. For
dashboard.skip_getting_started, a boolean indicating whether the “getting started” guide is dismissed.Response
The preference key that was stored.
The stored preference value.
⌘I